Subject: Link error using g++ 3.3.1
From: Jean-Francois bonastre <[email-masked]>
To: [email-masked]
Date: Thu, 11 Dec 2003 12:40:52 +0100

Hi,

I've just install (using cygwin setup) cygwin and g++ dev tool using the 
latest
web install on www.cygnus.com

When I try to build an exec, I get a link error :
/usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/../../../libcygwin.a(libcmain.o)(.text+0x7c): 
undefined reference to `_WinMain@16'
collect2: ld returned 1 exit status

I linked the cygcheck output to this email.

Sincerely,
JFB

-- 
______________________________________________________________________
Jean-Francois BONASTRE  
Maitre de Conferences - Universite d'Avignon
LIA (IUP) 339 ch. des Meinajaries BP 1228 - 84911 AVIGNON CEDEX 9
Tel : +33/0 4 90 84 35 14  - FAX: +33/0 4 90 84 35 01 
[email-masked]
http://www.lia.univ-avignon.fr
______________________________________________________________________

Cygwin Package Information
Package                 Version            Status
_update-info-dir        00225-1            OK
agetty                  2.1-1              OK
ash                     20031007-1         OK
aspell                  0.50.3-1           OK
aspell-doc              0.50.3-1           OK
aspell-en               0.51.0-1           OK
autoconf                2.59-1             OK
autoconf-devel          2.59-1             OK
autoconf-stable         2.13-5             OK
automake                1.7.9-1            OK
automake-devel          1.7.9-1            OK
automake-stable         1.4p6-2            OK
base-files              2.6-1              OK
base-passwd             1.1-1              OK
bash                    2.05b-16           OK
bc                      1.06-1             OK
binutils                20030901-1         OK
bzip2                   1.0.2-5            OK
ccdoc                   0.8.39-1           OK
chkconfig               1.2.24h-1          OK
clear                   1.0-1              OK
crypt                   1.1-1              OK
ctags                   5.5-4              OK
cvs                     1.11.6-3           OK
cygipc                  2.02-1             OK
cygrunsrv               0.97-1             OK
cygutils                1.2.2-1            OK
cygwin                  1.5.5-1            OK
diffutils               2.8.4-1            OK
editrights              1.01-1             OK
emacs                   21.2-12            OK
emacs-X11               21.2-12            OK
expat                   1.95.6-2           OK
file                    4.06-1             OK
fileutils               4.1-2              OK
findutils               4.1.7-4            OK
fontconfig              2.2.0-1            OK
freetype2               2.1.5-1            OK
gawk                    3.1.3-4            OK
gcc                     3.3.1-3            OK
gcc-g++                 3.3.1-3            OK
gcc-mingw-core          20031020-1         OK
gcc-mingw-g++           20031020-1         OK
gdbm                    1.8.3-7            OK
gettext                 0.12.1-3           OK
grep                    2.5-1              OK
groff                   1.18.1-2           OK
gsl                     1.4-2              OK
gzip                    1.3.5-1            OK
inetutils               1.3.2-25           OK
initscripts             0.9-1              OK
less                    381-1              OK
lesstif                 0.93.91-4          OK
lftp                    2.6.8-3            OK
libaspell15             0.50.3-1           OK
libdb4.1                4.1.25-1           OK
libfontconfig-devel     2.2.0-1            OK
libfontconfig1          2.2.0-1            OK
libfreetype2-devel      2.1.5-1            OK
libfreetype26           2.1.5-1            OK
libgdbm                 1.8.0-5            OK
libgdbm-devel           1.8.3-7            OK
libgdbm3                1.8.3-3            OK
libgdbm4                1.8.3-7            OK
libgettextpo0           0.12.1-3           OK
libiconv2               1.9.1-3            OK
libintl                 0.10.38-3          OK
libintl1                0.10.40-1          OK
libintl2                0.12.1-3           OK
libjpeg6b               6b-8               OK
libltdl3                1.5-3              OK
libncurses5             5.2-1              OK
libncurses6             5.2-8              OK
libncurses7             5.3-4              OK
libpcre                 4.1-1              OK
libpcre0                4.4-2              OK
libpng12                1.2.5-4            OK
libpopt0                1.6.4-4            OK
libreadline4            4.1-2              OK
libreadline5            4.3-5              OK
libtiff3                3.6.0-2            OK
libtool                 1.5b-1             OK
libtool-devel           1.5-3              OK
libtool-stable          1.4.3-2            OK
libxml2                 2.5.11-1           OK
login                   1.9-7              OK
m4                      1.4-1              OK
make                    3.80-1             OK
man                     1.5j-2             OK
mingw-runtime           3.2-1              OK
mktemp                  1.5-3              OK
ncurses                 5.3-4              OK
nedit                   5.3-2              OK
nfs-server              2.2.47-2           OK
openssl                 0.9.7c-1           OK
pcre                    4.4-2              OK
pcre-doc                4.4-2              OK
perl                    5.8.2-1            OK
readline                4.3-5              OK
sed                     4.0.8-1            OK
sh-utils                2.0.15-4           OK
sharutils               4.2.1-3            OK
sysvinit                2.84-4             OK
tar                     1.13.25-5          OK
tcsh                    6.12.00-7          OK
termcap                 20021106-2         OK
terminfo                5.3_20030726-1     OK
texinfo                 4.2-4              OK
textutils               2.0.21-1           OK
vim                     6.2.098-1          OK
w32api                  2.4-1              OK
which                   1.5-2              OK
XFree86-base            4.3.0-1            OK
XFree86-bin             4.3.0-8            OK
XFree86-bin-icons       4.3.0-5            OK
XFree86-doc             4.3.0-1            OK
XFree86-etc             4.3.0-6            OK
XFree86-fenc            4.2.0-3            OK
XFree86-fnts            4.2.0-3            OK
XFree86-fscl            4.2.0-3            OK
XFree86-fsrv            4.3.0-7            OK
XFree86-html            4.3.0-1            OK
XFree86-lib             4.3.0-1            OK
XFree86-lib-compat      4.3.0-2            OK
XFree86-man             4.3.0-2            OK
XFree86-prog            4.3.0-12           OK
XFree86-prt             4.3.0-5            OK
XFree86-startup-scripts 4.2.0-5            OK
XFree86-xserv           4.3.0-25           OK
xinetd                  2.3.9-1            OK
xwinclip                1.2.0-1            OK
zlib                    1.1.4-4            OK

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/